<?php
$imgDir = "./images";

if(!$dir = @scandir($imgDir)){
  die("error\nBłąd serwera. Obrazy nie są dostępne.");
}
array_shift($dir);
array_shift($dir);

$count = count($dir);

if(isset($_GET['id'])){
  $id = $_GET['id'];

  if(!is_Numeric($id) || $id < 0 || $id >= $count){
    $id = 0;
  }

  $imgName = $dir["$id"];

  if(!file_exists("$imgDir/$imgName")){
    die("error\nObraz nie jest dostępny.");
  }
  $nextId = $id + 1;
  if($nextId >= $count) $nextId = 0;
  die("$nextId\n$imgDir/$imgName");
}
else{
  $id = 0;
  $imgName = $dir["$id"];
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Ajax</title>
<link href="ajaxcss.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="ajaxcore.js"></script>
<script type="text/javascript" src="ajax.js"></script>
</head>
<body onload="startRequest(<?php echo $id;?>)">
<div id="mainDiv" class="mainDiv" style="text-align:center;">
<img src="<?php echo "$imgDir/$imgName"; ?>" alt="">
</div>
</body>
</html>
